Package org.apache.storm.windowing.persistence

# Enum Class WindowPartitionCache.RemovalCause

java.lang.Object
java.lang.Enum<WindowPartitionCache.RemovalCause>
org.apache.storm.windowing.persistence.WindowPartitionCache.RemovalCause

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowPartitionCache.RemovalCause>`, `Constable`

Enclosing interface:
  WindowPartitionCache<K,V>

public static enum WindowPartitionCache.RemovalCause extends Enum<WindowPartitionCache.RemovalCause>
The reason why an enrty got evicted from the cache.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPLICIT`
  The entry was forcefully invalidated from the cache.
  `REPLACED`
  The entry was evicted from the cache due to overflow.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WindowPartitionCache.RemovalCause`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WindowPartitionCache.RemovalCause[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPLICIT

    public static final WindowPartitionCache.RemovalCause EXPLICIT
    The entry was forcefully invalidated from the cache.

  - ### REPLACED

    public static final WindowPartitionCache.RemovalCause REPLACED
    The entry was evicted from the cache due to overflow.

- ## Method Details

  - ### values

    public static WindowPartitionCache.RemovalCause[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WindowPartitionCache.RemovalCause valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null